// Package kafka ...
//
// Description : kafka ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2022-06-17 20:31
package kafka

// ProducerData 生产数据
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 4:13 下午 2021/9/21
type ProducerData struct {
	Data interface{} // 发送的数据
	Key  string      // 分区key
}

// ProducerResult 数据发送后的结果
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 4:15 下午 2021/9/21
type ProducerResult struct {
	Partition int32 // 数据落入的分区
	Offset    int64 // 数据对应的Offset
	Err       error // 数据发送是否成功
}
